diff -aruN --binary 15/language/es-ES/es-ES.mod_footer.ini 16/language/es-ES/es-ES.mod_footer.ini
--- 15/language/es-ES/es-ES.mod_footer.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_footer.ini	2010-04-25 01:15:36.000000000 +0200
@@ -1,12 +1,12 @@
-# $Id: es-ES.mod_footer.ini 1.5.0 2009-07-06 13:37:55 2007-09-01 ~0 $
+# $Id: es-ES.mod_footer.ini 1.5.0 2010-04-25 01:15:34 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
 
 FOOTER=Footer (pie de página)
 FOOTER_LINE1=Copyright &#169; %date% %sitename%. Todos los derechos reservados.
-FOOTER_LINE2=<a href="http://www.joomlaspanish.org/">Pack creado por Joomla! Spanish 2008</a> - <a href="http://www.webempresa.com/" title="Diseño web" target="_blank">Patrocinado por Web Empresa</a><br /><a href="http://www.joomla.org">Joomla!</a> es un software libre publicado bajo la <a href="http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL">licencia GNU/GPL.</a>
+FOOTER_LINE2=<a href="http://www.joomlaspanish.org/">Pack creado por Joomla! Spanish 2010</a> - <a href="http://www.webempresa.com/" title="Diseño web" target="_blank">Patrocinado por Web Empresa</a><br /><a href="http://www.joomla.org">Joomla!</a> es un software libre publicado bajo la <a href="http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL">licencia GNU/GPL.</a>
 MOD_FOOTER=<em>mod_footer</em>
 THIS MODULE SHOWS THE JOOMLA! COPYRIGHT INFORMATION=Este módulo muestra información del Copyright de Joomla!
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 15/language/es-ES/es-ES.mod_latestnews.ini 16/language/es-ES/es-ES.mod_latestnews.ini
--- 15/language/es-ES/es-ES.mod_latestnews.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_latestnews.ini	2010-04-25 01:30:10.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_latestnews.ini 1.5.0 2008-11-11 13:19:31 2007-09-01 ~0 $
+# $Id: es-ES.mod_latestnews.ini 1.5.0 2010-04-25 01:30:08 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -13,7 +13,7 @@
 LATEST NEWS=Últimas noticias
 MOD_LATESTNEWS=<em>mod_latestnews</em>
 MODULE MODE=Modo del módulo
-PARAMCATEGORYID=Permite seleccionar artículos de una categoría especifica o un grupo de categorías. (Para especificar más de una categoría separelas con una coma , ).
+PARAMCATEGORYID=Permite seleccionar artículos de una categoría especifica o un grupo de categorías. Introduzca el ID de categoría desde el Gestor de categoría. Para especificar más de una categoría separelas con una coma ,
 PARAMENABLECACHE=Seleccione para almacenar en la caché el contenido de este módulo.
 PARAMFRONTPAGEITEMS=Mostrar/ocultar los artículos asignados a la página inicial
 PARAMSECTIONID=Permite seleccionar ítems de una sección especifica o un grupo de secciones.Introduzca la Sección ID tomado de la Sección Manager.(Para especificar más de una sección separe con una coma ,).
diff -aruN --binary 15/language/es-ES/es-ES.mod_login.ini 16/language/es-ES/es-ES.mod_login.ini
--- 15/language/es-ES/es-ES.mod_login.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_login.ini	2010-04-25 01:31:16.000000000 +0200
@@ -1,6 +1,6 @@
-# version 1.5.0 2008-07-08 20:04:56 ~0
+# version 1.5.0 2010-04-25 01:31:14 ~0
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_mainmenu.ini 16/language/es-ES/es-ES.mod_mainmenu.ini
--- 15/language/es-ES/es-ES.mod_mainmenu.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_mainmenu.ini	2010-04-25 01:32:04.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_mainmenu.ini 1.5.0 2008-07-08 20:05:33 2007-09-01 ~0 $
+# $Id: es-ES.mod_mainmenu.ini 1.5.0 2010-04-25 01:32:03 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_mostread.ini 16/language/es-ES/es-ES.mod_mostread.ini
--- 15/language/es-ES/es-ES.mod_mostread.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_mostread.ini	2010-04-25 01:36:00.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_mostread.ini 1.5.0 2008-07-08 20:07:40 2007-09-01 ~0 $
+# $Id: es-ES.mod_mostread.ini 1.5.0 2010-04-25 01:35:59 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -13,8 +13,8 @@
 MOD_MOSTREAD=<em>mod_mostread</em>
 MODULE MODE=Modo del módulo
 MOST READ CONTENT=Contenido más leído
-PARAMCATEGORYID=Seleccionar artículos de una categoría específica o de un conjunto de categorías (para especificar más de una categoría, sepárelas con una coma , ).
+PARAMCATEGORYID=Seleccionar artículos de una categoría específica o de un conjunto de categorías Introduzca el ID de categoría desde el Gestor de categorías.(para especificar más de una categoría, sepárelas con una coma , ).
 PARAMFRONTPAGEITEMS=Mostrar/Ocultar artículos designados para la Página Principal - Solo funciona en 'artículos y páginas estáticas' no en otros artículos de contenido.
-PARAMSECTIONID=Seleccionar artículos de una Sección específica o de un conjunto de Secciones ((para especificar más de una Sección, sepárelas con una coma , ).
+PARAMSECTIONID=Seleccionar artículos de una sección específica o de un conjunto de Secciones. Introduzca el ID de sección desde el Gestor de secciones. (para especificar más de una Sección, sepárelas con una coma , ).
 SECTION ID=ID de la sección
 THE NUMBER OF ITEMS TO DISPLAY (DEFAULT IS 5)=El número de artículos a mostrar (predeterminado: 5)
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 15/language/es-ES/es-ES.mod_newsflash.ini 16/language/es-ES/es-ES.mod_newsflash.ini
--- 15/language/es-ES/es-ES.mod_newsflash.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_newsflash.ini	2010-04-25 01:36:52.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_newsflash.ini 1.5.0 2008-07-28 16:12:23 2007-09-18 ~0 $
+# $Id: es-ES.mod_newsflash.ini 1.5.0 2010-04-25 01:36:50 2007-09-18 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_online.ini 16/language/es-ES/es-ES.mod_online.ini
--- 15/language/es-ES/es-ES.mod_online.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_online.ini	2010-04-25 01:37:10.000000000 +0200
@@ -1,6 +1,6 @@
-# version 1.5.0 2008-07-08 20:09:36 ~0
+# version 1.5.0 2010-04-25 01:37:08 ~0
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_poll.ini 16/language/es-ES/es-ES.mod_poll.ini
--- 15/language/es-ES/es-ES.mod_poll.ini	2009-07-25 17:09:46.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_poll.ini	2010-04-25 01:37:24.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_poll.ini 1.5.0 2008-07-08 20:09:57 2007-09-01 ~0 $
+# $Id: es-ES.mod_poll.ini 1.5.0 2010-04-25 01:37:23 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_random_image.ini 16/language/es-ES/es-ES.mod_random_image.ini
--- 15/language/es-ES/es-ES.mod_random_image.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_random_image.ini	2010-04-25 01:38:10.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_random_image.ini 1.5.0 2008-07-08 20:10:25 2007-09-01 ~0 $
+# $Id: es-ES.mod_random_image.ini 1.5.0 2010-04-25 01:38:08 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_related_items.ini 16/language/es-ES/es-ES.mod_related_items.ini
--- 15/language/es-ES/es-ES.mod_related_items.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_related_items.ini	2010-04-25 01:39:14.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_related_items.ini 1.5.0 2008-07-08 20:10:50 2007-09-01 ~0 $
+# $Id: es-ES.mod_related_items.ini 1.5.0 2010-04-25 01:39:13 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_search.ini 16/language/es-ES/es-ES.mod_search.ini
--- 15/language/es-ES/es-ES.mod_search.ini	2009-11-05 16:05:58.000000000 +0100
+++ 16/language/es-ES/es-ES.mod_search.ini	2010-04-25 01:39:46.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_search.ini 1.5.0 2009-11-05 16:05:58 2007-09-01 ~0 $
+# $Id: es-ES.mod_search.ini 1.5.0 2010-04-25 01:39:45 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_sections.ini 16/language/es-ES/es-ES.mod_sections.ini
--- 15/language/es-ES/es-ES.mod_sections.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_sections.ini	2010-04-25 01:41:30.000000000 +0200
@@ -1,12 +1,12 @@
-# $Id: es-ES.mod_sections.ini 1.5.0 2008-07-08 20:11:46 2007-09-01 ~0 $
+# $Id: es-ES.mod_sections.ini 1.5.0 2010-04-25 01:41:29 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
 
 COUNT=Contador
-DESCSECTIONS=El módulo Secciones muestra una lista de todas las secciones configuradas en su Base de Datos. Las secciones se refieren aquí solamente a los artículos de secciones. Si la configuración "Mostrar Enlaces No Autorizados" no está habilitada, la lista estará limitada a las secciones que el usuario tiene acceso.
+DESCSECTIONS=El módulo Secciones muestra una lista de todas las secciones configuradas en su Base de Datos. Las secciones se refieren aquí solamente a los artículos de secciones. Si la configuración <em>"Mostrar Enlaces No Autorizados"</em> no está habilitada, la lista estará limitada a las secciones que el usuario tiene acceso.
 MOD_SECTIONS=<em>mod_sections</em>
 SECTIONS=Secciones
 SHOW UNAUTHORIZED LINKS=Mostrar enlaces no autorizados
diff -aruN --binary 15/language/es-ES/es-ES.mod_stats.ini 16/language/es-ES/es-ES.mod_stats.ini
--- 15/language/es-ES/es-ES.mod_stats.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_stats.ini	2010-04-25 01:41:48.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_stats.ini 1.5.0 2008-07-08 20:12:20 2007-09-01 ~0 $
+# $Id: es-ES.mod_stats.ini 1.5.0 2010-04-25 01:41:46 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_syndicate.ini 16/language/es-ES/es-ES.mod_syndicate.ini
--- 15/language/es-ES/es-ES.mod_syndicate.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_syndicate.ini	2010-04-25 01:42:34.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_syndicate.ini 1.5.0 2008-07-08 20:12:40 2007-09-01 ~0 $
+# $Id: es-ES.mod_syndicate.ini 1.5.0 2010-04-25 01:42:33 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_whosonline.ini 16/language/es-ES/es-ES.mod_whosonline.ini
--- 15/language/es-ES/es-ES.mod_whosonline.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_whosonline.ini	2010-04-25 01:43:36.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_whosonline.ini 1.5.0 2009-07-06 10:55:42 2007-09-01 ~0 $
+# $Id: es-ES.mod_whosonline.ini 1.5.0 2010-04-25 01:43:34 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.mod_wrapper.ini 16/language/es-ES/es-ES.mod_wrapper.ini
--- 15/language/es-ES/es-ES.mod_wrapper.ini	2009-07-25 17:09:44.000000000 +0200
+++ 16/language/es-ES/es-ES.mod_wrapper.ini	2010-04-25 01:44:48.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.mod_wrapper.ini 1.5.0 2009-06-28 09:25:32 2007-09-01 ~0 $
+# $Id: es-ES.mod_wrapper.ini 1.5.0 2010-04-25 01:44:46 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_content_pagebreak.ini 16/language/es-ES/es-ES.plg_content_pagebreak.ini
--- 15/language/es-ES/es-ES.plg_content_pagebreak.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_content_pagebreak.ini	2010-04-25 01:45:32.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_content_pagebreak.ini 1.5.9 2009-03-28 20:02:28 ff ~0 $
+# $Id: es-ES.plg_content_pagebreak.ini 1.5.16 2010-04-25 01:45:30 ff ~0 $
 # author Joomla! Spanish
-# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_content_vote.ini 16/language/es-ES/es-ES.plg_content_vote.ini
--- 15/language/es-ES/es-ES.plg_content_vote.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_content_vote.ini	2010-04-25 01:46:32.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_content_vote.ini 1.5.0 2008-07-08 20:15:07 19:57:13 ~0 $
+# $Id: es-ES.plg_content_vote.ini 1.5.0 2010-04-25 01:46:30 19:57:13 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_search_categories.ini 16/language/es-ES/es-ES.plg_search_categories.ini
--- 15/language/es-ES/es-ES.plg_search_categories.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_search_categories.ini	2010-04-25 01:46:50.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_search_categories.ini 1.5.0 2008-07-08 20:15:27 2007-09-01 ~0 $
+# $Id: es-ES.plg_search_categories.ini 1.5.0 2010-04-25 01:46:48 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_search_contacts.ini 16/language/es-ES/es-ES.plg_search_contacts.ini
--- 15/language/es-ES/es-ES.plg_search_contacts.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_search_contacts.ini	2010-04-25 01:47:08.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_search_contacts.ini 1.5.0 2008-07-08 20:16:04 2007-09-01 ~0 $
+# $Id: es-ES.plg_search_contacts.ini 1.5.0 2010-04-25 01:47:07 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_search_content.ini 16/language/es-ES/es-ES.plg_search_content.ini
--- 15/language/es-ES/es-ES.plg_search_content.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_search_content.ini	2010-04-25 01:47:26.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_search_content.ini 1.5.0 2008-07-08 20:16:21 2007-09-01 ~0 $
+# $Id: es-ES.plg_search_content.ini 1.5.0 2010-04-25 01:47:24 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_search_newsfeeds.ini 16/language/es-ES/es-ES.plg_search_newsfeeds.ini
--- 15/language/es-ES/es-ES.plg_search_newsfeeds.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_search_newsfeeds.ini	2010-04-25 01:47:48.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_search_newsfeeds.ini 1.5.0 2008-07-08 20:16:39 2007-09-01 ~0 $
+# $Id: es-ES.plg_search_newsfeeds.ini 1.5.0 2010-04-25 01:47:47 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_search_sections.ini 16/language/es-ES/es-ES.plg_search_sections.ini
--- 15/language/es-ES/es-ES.plg_search_sections.ini	2009-07-25 17:09:42.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_search_sections.ini	2010-04-25 01:48:04.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_search_sections.ini 1.5.0 2008-07-08 20:17:19 2007-09-01 ~0 $
+# $Id: es-ES.plg_search_sections.ini 1.5.0 2010-04-25 01:48:03 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_search_weblinks.ini 16/language/es-ES/es-ES.plg_search_weblinks.ini
--- 15/language/es-ES/es-ES.plg_search_weblinks.ini	2009-07-25 17:09:40.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_search_weblinks.ini	2010-04-25 01:48:18.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_search_weblinks.ini 1.5.0 2008-07-08 20:17:38 2007-10-06 ~0 $
+# $Id: es-ES.plg_search_weblinks.ini 1.5.0 2010-04-25 01:48:16 2007-10-06 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.plg_system_debug.ini 16/language/es-ES/es-ES.plg_system_debug.ini
--- 15/language/es-ES/es-ES.plg_system_debug.ini	2009-07-25 17:09:40.000000000 +0200
+++ 16/language/es-ES/es-ES.plg_system_debug.ini	2010-04-25 01:54:34.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.plg_system_debug.ini 1.5.0 2009-06-28 09:20:28 19:15:38 ~0 $
+# $Id: es-ES.plg_system_debug.ini 1.5.0 2010-04-25 01:54:33 19:15:38 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.tpl_beez.ini 16/language/es-ES/es-ES.tpl_beez.ini
--- 15/language/es-ES/es-ES.tpl_beez.ini	2009-07-25 17:09:40.000000000 +0200
+++ 16/language/es-ES/es-ES.tpl_beez.ini	2010-04-25 01:55:00.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.tpl_beez.ini 1.5.0 2009-07-01 10:17:02 03:11:55 ~0 $
+# $Id: es-ES.tpl_beez.ini 1.5.0 2010-04-25 01:54:59 03:11:55 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.tpl_ja_purity.ini 16/language/es-ES/es-ES.tpl_ja_purity.ini
--- 15/language/es-ES/es-ES.tpl_ja_purity.ini	2009-07-25 17:09:40.000000000 +0200
+++ 16/language/es-ES/es-ES.tpl_ja_purity.ini	2010-04-25 01:55:38.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.tpl_ja_purity.ini 1.5.4 2008-07-08 20:22:30 ff ~0 $
+# $Id: es-ES.tpl_ja_purity.ini 1.5.0 2010-04-25 01:55:36 ff ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/language/es-ES/es-ES.tpl_rhuk_milkyway.ini 16/language/es-ES/es-ES.tpl_rhuk_milkyway.ini
--- 15/language/es-ES/es-ES.tpl_rhuk_milkyway.ini	2009-07-25 17:09:40.000000000 +0200
+++ 16/language/es-ES/es-ES.tpl_rhuk_milkyway.ini	2010-04-25 01:55:50.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.tpl_rhuk_milkyway.ini 1.5.0 2008-07-08 20:22:46 19:16:45 ~0 $
+# $Id: es-ES.tpl_rhuk_milkyway.ini 1.5.0 2010-04-25 01:55:49 19:16:45 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 15/libraries/joomla/application/application.php 16/libraries/joomla/application/application.php
--- 15/libraries/joomla/application/application.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/application/application.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: application.php 11409 2009-01-10 02:27:08Z willebil $
+* @version		$Id: application.php 16385 2010-04-23 10:44:15Z ian $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -256,19 +256,20 @@
 	 *
 	 * Optionally enqueues a message in the system message queue (which will be displayed
 	 * the next time a page is loaded) using the enqueueMessage method. If the headers have
-	 * not been sent the redirect will be accomplished using a "301 Moved Permanently"
-	 * code in the header pointing to the new location. If the headers have already been
-	 * sent this will be accomplished using a JavaScript statement.
+	 * not been sent the redirect will be accomplished using a "301 Moved Permanently" or "303 See Other"
+	 * code in the header pointing to the new location depending upon the moved flag. If the headers
+	 * have already been sent this will be accomplished using a JavaScript statement.
 	 *
 	 * @access	public
 	 * @param	string	$url	The URL to redirect to. Can only be http/https URL
 	 * @param	string	$msg	An optional message to display on redirect.
 	 * @param	string  $msgType An optional message type.
+	 * @param	boolean	True if the page is 301 Permanently Moved, otherwise 303 See Other is assumed.
 	 * @return	none; calls exit().
 	 * @since	1.5
 	 * @see		JApplication::enqueueMessage()
 	 */
-	function redirect( $url, $msg='', $msgType='message' )
+	function redirect( $url, $msg='', $msgType='message', $moved = false )
 	{
 		// check for relative internal links
 		if (preg_match( '#^index[2]?.php#', $url )) {
@@ -310,16 +311,13 @@
 			$session->set('application.queue', $this->_messageQueue);
 		}
 
-		/*
-		 * If the headers have been sent, then we cannot send an additional location header
-		 * so we will output a javascript redirect statement.
-		 */
+		// If the headers have been sent, then we cannot send an additional location header
+		// so we will output a javascript redirect statement.
 		if (headers_sent()) {
 			echo "<script>document.location.href='$url';</script>\n";
 		} else {
-			//@ob_end_clean(); // clear output buffer
-			header( 'HTTP/1.1 301 Moved Permanently' );
-			header( 'Location: ' . $url );
+			header($moved ? 'HTTP/1.1 301 Moved Permanently' : 'HTTP/1.1 303 See other');
+			header('Location: '.$url);
 		}
 		$this->close();
 	}
@@ -529,6 +527,11 @@
 
 		if ($response->status === JAUTHENTICATE_STATUS_SUCCESS)
 		{
+			$session = &JFactory::getSession();
+
+			// we fork the session to prevent session fixation issues
+			$session->fork();
+
 			// Import the user plugin group
 			JPluginHelper::importPlugin('user');
 
diff -aruN --binary 15/libraries/joomla/application/component/controller.php 16/libraries/joomla/application/component/controller.php
--- 15/libraries/joomla/application/component/controller.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/application/component/controller.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: controller.php 10910 2008-09-05 19:41:09Z willebil $
+* @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/application/component/helper.php 16/libraries/joomla/application/component/helper.php
--- 15/libraries/joomla/application/component/helper.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/application/component/helper.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: helper.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: helper.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/application/component/model.php 16/libraries/joomla/application/component/model.php
--- 15/libraries/joomla/application/component/model.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/application/component/model.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: model.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: model.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/application/component/view.php 16/libraries/joomla/application/component/view.php
--- 15/libraries/joomla/application/component/view.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/application/component/view.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Application
- * @copyright Copyright Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright Copyright Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/application/helper.php 16/libraries/joomla/application/helper.php
--- 15/libraries/joomla/application/helper.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/application/helper.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: helper.php 11626 2009-02-15 15:40:39Z kdevine $
+* @version		$Id: helper.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/application/menu.php 16/libraries/joomla/application/menu.php
--- 15/libraries/joomla/application/menu.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/application/menu.php	2010-04-23 13:40:16.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: menu.php 11299 2008-11-22 01:40:44Z ian $
+ * @version		$Id: menu.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Application
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
